Loading...
Searching...
No Matches
Dune::const_reference< R > Struct Template Reference

Get the 'const' version of a reference to a mutable object. More...

`#include <dune/common/genericiterator.hh>`

Inheritance diagram for Dune::const_reference< R >:

## Public Types

typedef const R | type

## Detailed Description

template<class R>
struct Dune::const_reference< R >

Get the 'const' version of a reference to a mutable object.

Given a reference R=T& const_reference<R>::type gives you the typedef for const T&

## Member Typedef Documentation

## type

template<class R>

typedef const R Dune::const_reference< R >::type

The documentation for this struct was generated from the following file:

- genericiterator.hh